Sign inGet started

List allow/block rules

GET
/workspaces/{workspaceId}/conversation-allowblock-rules
List allow/block rules. This will return a maximum of 100 rules per page, with 10 as default. You can use the limit and pageToken query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.
Parameter query
limit
integer
pageToken
string
reverse
boolean
type
string
Allow/Block type
Possible values: allow, reject, suspend
category
string
Allow/Block category
Possible values: all, domain, domain_suffix, email
value
string
Allow/Block value
Payload respons
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
wajib
Tampilkan atribut turunan
results.category
string
wajib
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
results.createdAt
string
wajib
results.createdBy
string
wajib
results.id
string
wajib
results.type
string
wajib
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
results.updatedAt
string
wajib
results.updatedBy
string
wajib
results.value
string
wajib
results.workspaceId
string
wajib
Contoh kode
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Contoh kode
curl "https://api.bird.com/workspaces/e58899bf-1e8d-4ff7-b9db-a60befaf90d2/conversation-allowblock-rules" \
-H "Authorization: AccessKey abcd"
Note: if there are more than 10 allow/block rules, the results may be paginated. Please refer to Pagination on how to use nextPageToken.